
Jupiter - Błąd #1844
Zadanie # 1802 (Nowy): Opracowanie integracji z OJS
Zadanie # 1831 (Rozwiązany): przerobienie importu danych

Wyjątek podczas importowania
2017-10-04 15:01 - Michał Komar

Status: Zamknięty Start date: 2017-10-04
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: backend Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Rewizja zgłoszenia GIT:7386d09
Tester: Michał Komar Rewizja rozwiązania GIT:85d46c5a3898e0ca64cd31f0080c09415a8bb5b8
Występuje w wersji: 0.3 Rewizja testów GIT: 85d46c5
Waga błędu: Mała
Description

org.springframework.orm.jpa.JpaSystemException: A collection with cascade="all-delete-orphan" was no longer referenced by the
owning entity instance: pl.edu.icm.jupiter.services.database.model.imports.ImportedDocumentEntity.validationResults; nested
exception is org.hibernate.HibernateException: A collection with cascade="all-delete-orphan" was no longer referenced by the owning
entity instance: pl.edu.icm.jupiter.services.database.model.imports.ImportedDocumentEntity.validationResults
    at org.springframework.orm.jpa.vendor.HibernateJpaDialect.convertHibernateAccessException(HibernateJpaDialect.java:333)
    at org.springframework.orm.jpa.vendor.HibernateJpaDialect.translateExceptionIfPossible(HibernateJpaDialect.java:244)
    at org.springframework.orm.jpa.JpaTransactionManager.doCommit(JpaTransactionManager.java:521)
    at
org.springframework.transaction.support.AbstractPlatformTransactionManager.processCommit(AbstractPlatformTransactionManager.java:7
java:761)
    at
org.springframework.transaction.support.AbstractPlatformTransactionManager.commit(AbstractPlatformTransactionManager.java:730)
)
    at
org.springframework.transaction.interceptor.TransactionAspectSupport.commitTransactionAfterReturning(TransactionAspectSupport.java:5
java:504)
    at
org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransaction(TransactionAspectSupport.java:292)
    at org.springframework.transaction.interceptor.TransactionInterceptor.invoke(TransactionInterceptor.java:96)
    at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:179)
    at org.springframework.aop.framework.JdkDynamicAopProxy.invoke(JdkDynamicAopProxy.java:213)
    at com.sun.proxy.$Proxy215.storeImportedDocumentValidationResult(Unknown Source)
    at pl.edu.icm.jupiter.services.imports.ImportValidator.validate(ImportValidator.java:33)
    at pl.edu.icm.jupiter.services.imports.ImportValidator$$FastClassBySpringCGLIB$$340bf793.invoke(<generated>)
    at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:204)
    at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:738)
    at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:157)
    at org.springframework.aop.support.DelegatingIntroductionInterceptor.doProceed(DelegatingIntroductionInterceptor.java:133)
    at org.springframework.aop.support.DelegatingIntroductionInterceptor.invoke(DelegatingIntroductionInterceptor.java:121)
    at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:179)
    at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:673)
    at pl.edu.icm.jupiter.services.imports.ImportValidator$$EnhancerBySpringCGLIB$$d1e99b5a.validate(<generated>)
    at pl.edu.icm.jupiter.services.imports.DocumentImporter.onImportRequestEvent(DocumentImporter.java:49)
    at pl.edu.icm.jupiter.services.imports.DocumentImporter$$FastClassBySpringCGLIB$$7545eba7.invoke(<generated>)
    at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:204)
    at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:738)
    at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:157)
    at org.springframework.aop.interceptor.AsyncExecutionInterceptor$1.call(AsyncExecutionInterceptor.java:115)
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
    at
pl.edu.icm.jupiter.services.async.InheritedAuthenticationTaskDecorator$InheritedAuthenticationRunnable.run(InheritedAuthenticationTaskDec
askDecorator.java:26)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
    at java.lang.Thread.run(Thread.java:748)

Associated revisions
Revision 85d46c5a - 2017-10-09 11:54 - Łukasz Waśkiewicz

refs #1844 poprawa mapowania

History
#1 - 2017-10-09 12:07 - Łukasz Waśkiewicz
- Status changed from Nowy to Rozwiązany
- Assignee changed from Łukasz Waśkiewicz to Michał Komar
- Rewizja rozwiązania GIT set to 85d46c5a3898e0ca64cd31f0080c09415a8bb5b8

poprawione

#2 - 2017-10-11 12:20 - Michał Komar
- Status changed from Rozwiązany to Zamknięty
- Rewizja testów GIT set to 85d46c5

Ok

#3 - 2017-10-11 12:23 - Michał Komar
- % Done changed from 0 to 100
